import java.io.Serializable;
import java.util.*;
import java.sql.*;
import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table books(id int, title VARCHAR, author VARCHAR,isbn VARCHAR not null, pagecount int, copyright int, cost numeric(12,2));");    

      Session session = HibernateUtil.currentSession();

      Book book = new Book();
      book.setTitle("Title");
      book.setIsbn("000000000000000");
      book.setAuthor("name");
      book.setCopyright(9);
      book.setPages(330);
      book.setCost(29.99f);

      session.save(book);
      session.flush();

      session.close();
      HibernateUtil.checkData("select * from books");
   }
}
